API reference
Custom fields
Extra fields on leads.
GET/custom-fields
List custom fields
Needs the permission custom_fields:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
includeHidden | query | one of true, false | default "false" |
curl -X GET https://crm.anibrosdesign.com/api/v1/custom-fields \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 429
POST/custom-fields
Create a custom field
Needs the permission custom_fields:manage.
| Body field | Type | Notes |
|---|---|---|
label required | string | at least 1 characters. up to 60 characters |
type required | one of text, number, date, boolean, select, multi_select, url, email | |
key | string | |
required | boolean | |
options | list of string or object | up to 50 items |
defaultValue | string or null | |
helpText | string or null | |
showInList | boolean |
curl -X POST https://crm.anibrosdesign.com/api/v1/custom-fields \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"label":"text","type":"text","key":"text"}'Responses:
201 400 401 402 403 429
PUT/custom-fields/order
Set order (custom fields)
Needs the permission custom_fields:manage.
| Body field | Type | Notes |
|---|---|---|
ids required | list of string (uuid) | up to 100 items |
curl -X PUT https://crm.anibrosdesign.com/api/v1/custom-fields/order \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"ids":["01a15d23-0000-7000-8000-000000000000"]}'Responses:
200 400 401 402 403 412 429
PATCH/custom-fields/{id}
Change a custom field
Needs the permission custom_fields:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
label | string | at least 1 characters. up to 60 characters |
required | boolean | |
visible | boolean | |
options | list of string or object | up to 50 items |
defaultValue | string or null | |
helpText | string or null | |
showInList | boolean |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/custom-fields/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"label":"text","required":true,"visible":true}'Responses:
200 400 401 402 403 404 412 429
Something missing or unclear? Tell us.